#ifndef NDEMATERIALSTYLE_P_H
#define NDEMATERIALSTYLE_P_H
#include "ndematerialstyle.h"

namespace Nde {

class Settings;

class MaterialStylePrivate : public QObject
{
    Q_OBJECT
public:
    MaterialStylePrivate(MaterialStyle *parent);
    ~MaterialStylePrivate();
    QColor brush(MaterialStyle::ColorSet name, qreal opacity, MaterialStyle::MaskType type);
    QColor brush(MaterialStyle::ColorSet name, QColor color);
    QColor brush(MaterialStyle::ColorSet name, qreal opacity);
    void createPalette(QPalette &palette);
private:
    void updateSettings();

    MaterialStyle::Theme mTheme;
    QColor mPrimary;
    QColor mSecondary;
    QColor mWindowText;
    QColor mWindow;
    QSharedPointer<Settings> settings;
    MaterialStyle* const q_ptr;
    Q_DECLARE_PUBLIC(MaterialStyle)
};

}

#endif // NDEMATERIALSTYLE_P_H
